Bug 2140061 - CVE-2022-43680 mingw-expat: expat: use-after free caused by overeager destruction of a shared DTD in XML_ExternalEntityParserCreate in out-of-memory situations [fedora-35]
Summary: CVE-2022-43680 mingw-expat: expat: use-after free caused by overeager destruc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-expat
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-43680
TreeView+ depends on / blocked
 
Reported: 2022-11-04 10:24 UTC by Sandipan Roy
Modified: 2022-11-14 01:12 UTC (History)
3 users (show)

Fixed In Version: mingw-expat-2.5.0-1.fc36 mingw-expat-2.5.0-1.fc35 mingw-expat-2.5.0-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-13 01:16:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-11-04 10:24:06 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2140059

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2022-11-04 10:24:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2140059,2140061

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-04 11:34:08 UTC
FEDORA-2022-ae2559a8f4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ae2559a8f4

Comment 3 Fedora Update System 2022-11-04 11:34:17 UTC
FEDORA-2022-3cf0e7ebc7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3cf0e7ebc7

Comment 4 Fedora Update System 2022-11-04 11:34:25 UTC
FEDORA-2022-f3a939e960 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f3a939e960

Comment 5 Fedora Update System 2022-11-04 11:37:30 UTC
FEDORA-2022-5f1e2e9016 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5f1e2e9016

Comment 6 Fedora Update System 2022-11-04 11:37:30 UTC
FEDORA-2022-c43235716e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c43235716e

Comment 7 Fedora Update System 2022-11-04 11:37:31 UTC
FEDORA-2022-49db80f821 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-49db80f821

Comment 8 Fedora Update System 2022-11-05 17:05:37 UTC
FEDORA-2022-3cf0e7ebc7 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3cf0e7ebc7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3cf0e7ebc7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-11-05 17:05:41 UTC
FEDORA-2022-49db80f821 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-49db80f821`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-49db80f821

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-11-05 17:54:01 UTC
FEDORA-2022-ae2559a8f4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ae2559a8f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ae2559a8f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-05 17:54:05 UTC
FEDORA-2022-c43235716e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c43235716e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c43235716e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-06 17:54:21 UTC
FEDORA-2022-f3a939e960 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f3a939e960`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f3a939e960

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-11-06 17:54:25 UTC
FEDORA-2022-5f1e2e9016 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-5f1e2e9016`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5f1e2e9016

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-11-13 01:16:54 UTC
FEDORA-2022-3cf0e7ebc7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-11-13 01:17:05 UTC
FEDORA-2022-49db80f821 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-11-13 01:19:42 UTC
FEDORA-2022-ae2559a8f4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-11-13 01:19:46 UTC
FEDORA-2022-c43235716e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-11-14 01:12:35 UTC
FEDORA-2022-f3a939e960 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-11-14 01:12:39 UTC
FEDORA-2022-5f1e2e9016 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.